Index: django/core/handlers/wsgi.py
===================================================================
--- django/core/handlers/wsgi.py	(revision 410)
+++ django/core/handlers/wsgi.py	(working copy)
@@ -14,6 +14,10 @@
         self.path = environ['PATH_INFO']
         self.META = environ
 
+        # nesh: i18n support
+        from django.utils.i18n import setup_from_request
+        setup_from_request(self)
+        
     def __repr__(self):
         from pprint import pformat
         return '<DjangoRequest\nGET:%s,\nPOST:%s,\nCOOKIES:%s,\nMETA:%s>' % \
Index: django/core/handlers/modpython.py
===================================================================
--- django/core/handlers/modpython.py	(revision 410)
+++ django/core/handlers/modpython.py	(working copy)
@@ -12,6 +12,10 @@
         self._req = req
         self.path = req.uri
 
+        # nesh: i18n support
+        from django.utils.i18n import setup_from_request
+        setup_from_request(self)
+
     def __repr__(self):
         return '<ModPythonRequest\npath:%s,\nGET:%s,\nPOST:%s,\nCOOKIES:%s,\nMETA:%s,\nuser:%s>' % \
             (self.path, pformat(self.GET), pformat(self.POST), pformat(self.COOKIES),
Index: django/views/admin/main.py
===================================================================
--- django/views/admin/main.py	(revision 410)
+++ django/views/admin/main.py	(working copy)
@@ -10,6 +10,9 @@
 from django.conf.settings import ADMIN_MEDIA_PREFIX
 import operator
 
+# nesh: i18n support
+from django.utils.i18n import ugettext, ungettext
+
 # Text to display within changelist table cells if the value is blank.
 EMPTY_CHANGELIST_VALUE = '(None)'
 
@@ -47,7 +50,7 @@
 
 def index(request):
     t = template_loader.get_template('index')
-    c = Context(request, {'title': 'Site administration'})
+    c = Context(request, {'title': ugettext('Site administration')})
     return HttpResponse(t.render(c), mimetype='text/html; charset=utf-8')
 
 def change_list(request, app_label, module_name):
